Subject: Re: [bug#31025] [core-updates] LLVM 6.0
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Apr 2018 20:24:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Marius Bakke <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>> Does this change the derivation of ‘llvm’ proper?  If not, this could
>>> even go to ‘master’.
>>
>> LLVM is unaffected by this patch, only "clang" is changed.  So I believe
>> master is fine indeed.
>>
>> However as it stands, many packages would break since the "clang"
>> variable changes from 3.8 to 6.0.  I'll test out each dependent and
>> see if they can be updated or change back to 3.8/3.9 for those.
>
> Right, we could keep 3.8 as the default for now.

I built all dependents and only two packages needed 3.8, so I changed
those instead.  Pushed to master with 9bdbabe9.